﻿
a {
    cursor: pointer !important;
    text-decoration: none !important;
}

.cleanDates {
    color: var(--SecundaryTextColor) !important;
    margin-top: 5px;
    cursor: pointer !important;
}


.headerDetails {
    background-color: rgba(66, 122, 161, 0.35);
    padding: 1.5rem;
    border-radius: 0.65rem;
    box-sizing: content-box;
}

#titleId {
    color: var(--PrimaryColor);
}

.textbar {
    color: var(--textbarColor) !important;
}

.bodyclass {
    background: var(--BodyBackgroundColor);
    overflow: hidden;
}

:focus {
    outline: none;
}



.NotOk {
    color: red;
}



a:hover {
    text-decoration: none;
}

a {
    cursor: pointer !important;
    text-decoration: none;
}

h2 {
    color: white;
    font-size: 20px;
}

.textstyle {
    padding-left: 5px;
    color: var(--SecundaryTextColor);
}

.textheader {
    padding-left: 5px;
    color: var(--SecundaryTextColor);
}

.modalHM {
    color: var(--SecundaryTextColor);
    background: var(--ModalBackground);
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    border-radius: 0.65rem;
    outline: 0;
    align-items: center !important;
}



.titlePanels {
    border-radius: 0.65rem 0.65rem 0 0;
    color: var(--TableLabelsColor);
    font-weight: bold;
    background-color: var(--BackgroundColor);
    display: inline-block;
    font-size: 1.1rem;
    padding-top: 0.5rem !important;
    padding-right: 0.5rem !important;
    padding-left: 0.5rem !important;
    padding-bottom: 0.5rem !important;
    margin-top: 0.7rem;
}

.panelinputs {
    border-radius: 0rem 0.65rem 0.65rem 0.65rem;
    background-color: var(--BackgroundColor);
    border: 0;
    padding-top: 0.5rem !important;
    padding-right: 0.5rem !important;
    padding-left: 0.5rem !important;
    padding-bottom: 1rem !important;
    margin-bottom: 0.5rem !important;
    margin-left: 0px !important;
    width:100%;
}

.headerPageDetails {
    background-color: var(--BackgroundColor);
    border-radius: 0.65rem;
    box-sizing: content-box;
}

#titleId {
    color: var(--PrimaryColor);
    font-size: 22px;
}

.tablePG {
    background-color: var(--BackgroundTableColor);
    color: var(--TableLabelsColor);
    border: 0;
    padding: 1.5rem;
    border-radius: 0.65rem;
}

.headerTablePG {
    border-bottom: 0px !important;
    border-top: 0px !important;
}


#headerPage {
    width: 965px;
    height: 50px;
    background-color: var(--BackgroundColor);
    padding: 1.5rem;
    border-radius: 0.65rem;
}

.inputstyle:focus {
    /* width: 441px;*/
    height: 40px;
    border-radius: 8px;
    border: solid 2px var(--PrimaryColor);
    background-color: var(--BackgroundColor);
    padding-left: 0.5rem !important;
}

.inputstyle {
    /*  width: 441px;*/
    height: 40px;
    background-color: var(--BackgroundColor);
    border-radius: 8px;
    border: solid 1px #707070;
    padding-left: 0.5rem !important;
}


.labelInput {
    color: var(--LabelsColor);
}

.form-label {
    color: var(--LabelsColor);
}

.form-check-label {
    color: var(--LabelsColor);
}

.form-control {
    /*  width: 441px;
    height: 40px;*/
    border-radius: 8px;
    border: solid 1px var(--FormBorderColor);
    background-color: var(--BackgroundColor);
    color: var(--SecundaryTextColor);
}

    .form-control:focus {
        /* width: 441px;
        height: 40px;*/
        border-radius: 8px;
        border: solid 2px var(--FormFocusBorderColor);
        background-color: var(--BackgroundColor);
        color: var(--SecundaryTextColor);
        outline: none;
        box-shadow: none;
    }

    .form-control:disabled {
        background-color: var(--BackgroundColor);
        border: solid 1px var(--FormDisableBorderColor);
        color: var(--SecundaryTextColor);
    }

.form-controllang {
    /*height: 40px;
    border-radius: 8px;*/
    border: 0px;
    background-color: transparent;
    color: var(--SecundaryTextColor);
}

    .form-controllang:focus {
        /*height: 40px;
        border-radius: 8px;*/
        border: 0px;
        background-color: transparent;
        color: var(--SecundaryTextColor);
    }

    .form-controllang:disabled {
        background-color: transparent;
        border: solid 0px #707070;
        color: var(--SecundaryTextColor);
    }

.buttonstyle {
    width: fit-content;
    min-width: 148px;
    height: 48px;
    background-color: var(--PrimaryColor);
    font-size: 16px;
    border-radius: 17.5px;
    border-color: var(--PrimaryColor);
    color: var(--TextButtonColor);
}

    .buttonstyle:focus {
        width: fit-content;
        min-width: 148px;
        height: 48px;
        background-color: var(--PrimaryColor);
        font-size: 16px;
        border-radius: 17.5px;
        border-color: var(--BorderButtonColor);
        color: var(--TextButtonColor);
        cursor: pointer !important;
        outline: none;
        box-shadow: none;
    }

    .buttonstyle:hover {
        width: fit-content;
        min-width: 148px;
        height: 48px;
        background-color: var(--PrimaryColor);
        font-size: 16px;
        border-radius: 17.5px;
        border-color: var(--BorderButtonColor);
        color: var(--TextButtonColor);
        cursor: pointer !important;
        outline: none;
        box-shadow: none;
    }
    .buttonstyle:disabled{
        cursor:default !important;
    }

.iconsGeneric {
    width: 24px;
    color: var(--IconsGenericColor);
}

.iconsmenu {
    width: 24px;
    color: var(--IconsMenuColor);
}

.iconsPagination {
    width: 24px;
    color: var(--IconsPaginationColor);
}

.iconsSecundary {
    width: 20px;
    color: var(--IconsSecundaryColor);
}

.control-label {
    margin-bottom: .5rem !important;
}

.form-group {
  /*margin-right: 1.5rem !important;*/
    padding-bottom: 1.5rem !important;
}

.toggle.ios, .toggle-on.ios, .toggle-off.ios {
    border-radius: 20px;
    font-size: 14px;
    width: 45px;
    height: 22px;
}

.toggle-off {
    background-color: var(--ToggleOff);
}

.toggle-on {
    background-color: var(--ToggleOn);
}

/* width */
::-webkit-scrollbar {
    width: 10px;
    border-radius: 5px;
    padding: 10px
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 5px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--PrimaryColor);
    border-radius: 5px;
}

    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: var(--PrimaryColor);
        border-radius: 5px;
    }

::-webkit-scrollbar-corner {
    background: rgba(0,0,0, 0);
}

.hiperlink {
    color: var(--HiperlinkColor) !important;
    cursor: pointer !important;
}

    .hiperlink:hover {
        color: var(--HiperlinkColor) !important;
        cursor: pointer !important;
    }


.pagesList {
    position: relative;
    display: block;
    padding: 0.5rem 0.75rem;
    margin-left: -1px;
    line-height: 1.25;
    color: var(--TableLabelsColor) !important;
    background-color: var(--BackgroundColor) !important;
    border: none !important;
    height: 100%;
}

    .pagesList:hover {
        z-index: 2;
        color: var(--PrimaryColor);
        text-decoration: none;
        border: solid 1.5px var(--PrimaryColor) !important;
    }


.activePage {
    color: rgba(255, 255, 255, 1) !important;
    background-color: var(--PrimaryColor) !important;
}

a:hover {
    cursor: pointer !important;
}

.iconsGrid {
    width: 20px;
    color: var(--TableLabelsColor);
}

    .iconsGrid:hover {
        width: 20px;
        color: var(--TableLabelsColor);
    }

#login-form label.error {
    display: none !important;
}

.row {
    margin-left: 0px;
}

.col {
    padding-left: 0px;
}

.iconWarning {
    color: var(--WarningColor);
    width: 24px;
}

.iconGood {
    color: green;
    width: 24px;
}

.colorGood {
    color: green;
}

.colorWarning {
    color: var(--WarningColor);
}

.warning {
    color: var(--WarningColor);
}
